from edge_bbox.types import QuadI


class ITrack:
    def __init__(self, trace):
        pass

    @property
    def trace(self):
        """
        :rtype: list[int]
        """
        raise NotImplementedError

    @property
    def direction(self):
        """
        :rtype: int
        """
        raise NotImplementedError


class LrTrackItem:
    def __init__(self, ts, plate_weight, plate_quad):
        """
        :type ts: int
        :type plate_weight: int
        :type plate_quad: QuadI
        """
        self.ts = ts
        self.plate_weight = plate_weight
        self.plate_quad = plate_quad

    @staticmethod
    def deserialize(jnode):
        """
        :param jnode: TrTrack#/Lr/PlateTrace/:index
        :type jnode: dict
        :rtype: LrTrackItem
        """
        ts = jnode['Ts']
        weight = jnode['W']
        quad = QuadI.unpack(jnode['Q'])

        return LrTrackItem(ts, weight, quad)
