from edge.com.net import query_lr_add_alarm, query_lr_get_alarm
from edge.webserver.sysconf.ph import RootInfoUiconf


def get_alarm(term_uuid, alarm_name):
    """
    :type term_uuid: str
    :type alarm_name: str
    :rtype: bool
    """
    term_pid = RootInfoUiconf.get_term_pid(term_uuid)
    if term_pid is None:
        raise NotImplementedError

    return query_lr_get_alarm(term_pid, alarm_name)


def add_alarm(term_uuid, alarm_name):
    """
    :type term_uuid: str
    :type alarm_name: str
    :rtype: bool
    """

    term_pid = RootInfoUiconf.get_term_pid(term_uuid)
    if term_pid is None:
        return False

    query_lr_add_alarm(term_pid, alarm_name)
    return True
