import errno
import os
import shutil

from edge import eventlog


# noinspection PyClassHasNoInit
class CronDgconf:
    _DEFCONF_PATH = '/opt/edge/share/cron.d/edge-base'
    _CONF_PATH = '/etc/cron.d/edge-base'

    @classmethod
    def enable(cls):
        """
        enable edge-watchdog
        :rtype: None
        """
        shutil.copy(cls._DEFCONF_PATH, cls._CONF_PATH)

    @classmethod
    def disable(cls):
        """
        disable edge-watchdog
        :rtype: None
        """
        try:
            os.remove(cls._CONF_PATH)
        except os.error as x:
            if x.errno != errno.ENOENT:
                raise

            eventlog.log_w('fail: not found ({})'.format(cls._CONF_PATH))
