from edge import eventlog
from edge.com import fs


class RnDgStats:
    def __init__(self, jnode_path):
        """
        :type jnode_path: str
        """
        self._jnode = fs.load_json3(jnode_path, default=None)

    @classmethod
    def create(cls, term_pid):
        """
        :type term_pid: str
        :rtype: RnDgStats
        """
        ui_id = '0'
        jnode_path = fs.join_path('/var/spool/edge/pipeline-{}/zabbix/or{}'.format(term_pid, ui_id))
        return cls(jnode_path)

    def get_stream_wh_dh(self):
        """
        :rtype: (int, int, int) | None
        """
        stats_jnode = self._jnode
        if stats_jnode is None:
            eventlog.log_d('fail: NotFoundError (#/)')
            return

        stream_stats = stats_jnode.get('stream')
        if stream_stats is None:
            eventlog.log_d('fail: NotFoundError (#/stream)')
            return

        image_wh = stream_stats.get('wh')
        image_dh = stream_stats.get('dh')
        if image_wh is None:
            eventlog.log_d('fail: NotFoundError (#/stream/wh)')

        elif image_dh is None:
            eventlog.log_d('fail: NotFoundError (#/stream/dh)')

        else:
            return image_wh[0], image_wh[1], image_dh
