from edge.com import fs


# noinspection PyClassHasNoInit
class CtrlUiconf:
    _CONF_PATH = '/etc/edge/setupstore/admin/actions/controller.json'

    @classmethod
    def get_systest(cls):
        """
        :rtype: bool
        """
        if fs.path_exists(cls._CONF_PATH):
            uiconf = fs.load_json3(cls._CONF_PATH)
            return uiconf['ro'].get('systest', False)

        return False

    @classmethod
    def set_systest(cls, systest):
        """
        :type systest: bool
        :rtype: None
        """
        if fs.path_exists(cls._CONF_PATH):
            uiconf = fs.load_json3(cls._CONF_PATH)
            uiconf['ro']['systest'] = systest
            fs.write_json_file(uiconf, cls._CONF_PATH, pretty=True)
        else:
            uiconf = {
                'ro': {
                    'systest': systest
                }
            }

            fs.write_json_file(uiconf, cls._CONF_PATH, pretty=True)

    @classmethod
    def get_contrast_vehicle_im(cls):
        """
        :rtype: list
        """
        if fs.path_exists(cls._CONF_PATH):
            uiconf = fs.load_json3(cls._CONF_PATH)
            return uiconf['ro'].get('contrast-vehicle-im', [])

        return []
