from edge.com import fs


class TerminalUiconf:
    def __init__(self, uiconf_path):
        """
        :type uiconf_path: str
        """
        self._uiconf_path = uiconf_path

    def get_uuid(self):
        """
        :rtype: str
        """
        uiconf = fs.load_json3(self._uiconf_path)
        uiconf_pri = uiconf['ro']  # type: dict
        return uiconf_pri['uuid']

    def get_name(self, default=None):
        """
        :rtype: str | None
        """
        uiconf = fs.load_json3(self._uiconf_path, default=None)
        if uiconf:
            uiconf_pub = uiconf.get('rw') or dict()  # type: dict
            return uiconf_pub.get('origin-name', default)

        return default

    def get_place(self, default=None):
        """
        :rtype: str | None
        """
        uiconf = fs.load_json3(self._uiconf_path, default=None)
        if uiconf:
            uiconf_pub = uiconf.get('rw') or dict()  # type: dict
            return uiconf_pub.get('origin-place', default)

        return default
