from edge.com import fs


# noinspection PyClassHasNoInit
class SystestUimod:
    CONF_PATH = '/etc/edge/setupstore/admin/actions/systest/0'
    REPORTS_DIR = '/etc/edge/setupstore/admin/actions/systest/reports'

    @classmethod
    def _save_conf(cls, conf_jnode):
        """
        :type conf_jnode: dict
        :rtype: None
        """
        fs.write_json_file(conf_jnode, cls.CONF_PATH, pretty=True)

    @classmethod
    def install_crt(cls, crt_jnode):
        """
        :type crt_jnode: dict
        :rtype: None
        """
        cls._save_conf({
            'rw': {
                'certificate': crt_jnode
            }
        })

    @classmethod
    def uninstall_crt(cls):
        """
        :rtype: None
        """
        cls._save_conf({
            'rw': None
        })

    @classmethod
    def install_report(cls, report_ref, report_path):
        """
        :type report_ref: str
        :type report_path: str
        :rtype: None
        """
        install_path = fs.join_path(cls.REPORTS_DIR, report_ref)
        fs.silent_cp(report_path, install_path)

    @classmethod
    def uninstall_report(cls, report_ref):
        """
        :type report_ref: str
        :rtype: None
        """
        install_path = fs.join_path(cls.REPORTS_DIR, report_ref)
        fs.silent_rm_r(install_path)
